// Source: https://gitlab.com/pleio/frontend/-/blob/dev/src/js/components/Avatar/avatarStyle.js

.Avatar__Wrapper {
  flex-shrink: 0;
  position: relative;

  background-color: rgb(227, 227, 227);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;

  user-select: none;
  transition: border-color 0.15s ease 0s;

  border-radius: 50%;
  width: 32px;
  height: 32px;
  font-size: 1rem;
  // border-width: 3px;
  display: block;

  &::before {
    content: "";
    position: absolute;
    inset: 0px;

    border-radius: 50%;
  }

  .AvatarRole {
    position: absolute;

    display: flex;
    align-items: center;
    justify-content: center;
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background: rgb(0, 158, 227);
    color: white;
    user-select: none;

    font-size: 10px;
    font-weight: bold;
    box-shadow: 0 0 0 2px white;

    top: -2px;
    right: -2px;
  }
}
